Subject: bug#29450: 26.0.90; No check for nil in some filenotify functions

From: John Wiegley <[email-masked]>
Date: Wed, 10 Jan 2018 15:56:13 -0800

>>>>> "GM" == Glenn Morris <[email-masked]> writes:

>>> I've been getting several errors with a backtrace like nil(48). This is
>>> likely because some package has done something wrong, but even still,
>>> filenotify should be more defensive.
>> 
>> Can you show a full backtrace like that?

GM> Any update?

I worked around this with (setq auto-revert-use-notify nil). If it doesn't
happen for anyone else, you can close it. I'll look into it again if I ever
decide to re-enable this.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2